#include <string.h>
#include <stdio.h>

#include <switch.h>
#include <SDL.h>

SDL_Surface *Video = NULL;
int quit=0;

//int main(int argc, char **argv)
int main()
{
	SDL_Event event;

    if (SDL_Init(SDL_INIT_VIDEO)) return -1;  
 
 	Video = SDL_SetVideoMode (10, 10, 32, 0);
	if (Video == NULL) return -1;

	u8* screen = Video->pixels;
	for(int i=0;i<100*4;i++) screen[i]=0xff; 
	SDL_Flip (Video);

	while(!quit)
	{
		//Scan all the inputs. This should be done once for each frame
		while (SDL_PollEvent (&event)) {
			switch (event.type) {
				case SDL_KEYDOWN:
					switch (event.key.keysym.sym) {
						case SDLK_a:
							quit = 1;
							break;
						default:
							break;
					}
					break;

				case SDL_QUIT:
					exit(0);
					break;
			}
		}
	}
	return 0;
}

